## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class UIExtensionManifest

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.UIExtensionManifest

public class UIExtensionManifest
extends java.lang.Object

Encapsulates access to the content of an ODA design-time plug-in extension manifest.

Method Summary
`DataSetUIElement` `getDataSetUIElement(java.lang.String dataSetElementID)` Returns the DataSetUIElement instance that represents the dataSetUI element with the given id defined in this data source extension.
`java.lang.String[]` `getDataSetUIElementIDs()` Returns an array of ids of the dataSetUI elements defined in this data source extension.
`DataSetUIElement[]` `getDataSetUIElements()` Returns an array of DataSetUIElement instances that represent the dataSetUI elements defined in this data source extension.
`java.lang.String` `getDataSourceElementId()` Returns the fully qualified ID that uniquely identifies the ODA data source extension within an ODA consumer application's environment.
`DataSourceWizardInfo` `getDataSourceWizardInfo()` Returns the definition of customizable behavior of a data source wizard that allows an user to create a new ODA data source design instance.
`java.lang.String` `getNamespace()` Returns the namespace of the plugin that contributes this extension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the plugin that contributes this extension.

  Returns:

### getDataSourceElementId

    public java.lang.String getDataSourceElementId()

  Returns the fully qualified ID that uniquely identifies the ODA data source extension within an ODA consumer application's environment.

  Returns:
    the attribute value in dataSourceUI.id

### getDataSourceWizardInfo

    public DataSourceWizardInfo getDataSourceWizardInfo()

  Returns the definition of customizable behavior of a data source wizard that allows an user to create a new ODA data source design instance.

  Returns:
    the attribute value in dataSourceUI.newDataSourceWizard

### getDataSetUIElements

    public DataSetUIElement[] getDataSetUIElements()

  Returns an array of DataSetUIElement instances that represent the dataSetUI elements defined in this data source extension.

  Returns:
    an array of data set ui elements

### getDataSetUIElementIDs

    public java.lang.String[] getDataSetUIElementIDs()

  Returns an array of ids of the dataSetUI elements defined in this data source extension.

  Returns:
    an array of data set element ids.

### getDataSetUIElement

    public DataSetUIElement getDataSetUIElement(java.lang.String dataSetElementID)
                                         throws OdaException

  Returns the DataSetUIElement instance that represents the dataSetUI element with the given id defined in this data source extension. If the given data set element id is null and the data source UI extension has only one data set element, that data set element will be returned by default.

  Parameters:
    `dataSetElementID` - the id of the data set ui element.
  Returns:
    the data set element definition.
  Throws:
    `OdaException` - if there is no data set ui definition associated with the specified data set element id, or if there are more than one data set elements when no element id is specified.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.